### Method

# ECal Component get_attachments

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_get_attachments (
      ECalComponent* comp
    )

#### Description [src]

Queries the attachment properties as `ICalAttach` objects of the calendar component object. Changes on these objects are directly affecting the component. Free the returned `GSList` with g_slist_free_full (slist, g_object_unref);, when no longer needed.

Available since: 3.34

#### Return value

Type: A list of `ICalAttach*`

A `GSList` of attachments, as `ICalAttach` objects.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.